SABNZBDPLUS(1)

NAME
sabnzbdplus - a web-based binary newsgrabber with nzb support.

SYNOPSIS
sabnzbdplus [-f <configfile>] [[...other options]] [NZB file(s)]

DESCRIPTION
SABnzbd+ is a web-based binary newsgrabber written in Python, with support for the popular nzb file format. It takes one or more nzb files as input and from there on does all the work, including fetching files from Usenet, checking file integrity, and unpacking. Configuration can be done via the web interface or in the configuration file. Multiple servers are supported, as well as secure (ssl) connections, ipv6, scheduling, pausing and resuming downloads, queue manipulation, rss feeds, nzb indexer integration, automatic sorting, a download history, email notifications, and custom post-processing scripts. An extensive API allows third party applications to interact with the program.

USAGE
To run the program execute sabnzbdplus, then point your favorite web browser to http://<host>:<port>. The host and port settings default to 127.0.0.1 and 8080, respectively; the default port for https connections is 9090. New nzb files may be queued for download by putting them in the watched directory, adding them via the web interface, or from rss feeds.

OPTIONS

-h  --help
    Show a list of options

-f  --config-file <filename>
    Location of the configuration file

-s  --server <host:port>
    Hostname or ip address and port to listen on

-t  --templates <template>
    Primary interface templates

-l  --logging <-1..2>
    Log level (-1 for off, 0 for least, 2 for most)

-w  --weblogging <0..2>
    Cherrypy (built-in web-server) logging (0 for off, 1 for on, 2 for file-only)

-b  --browser <0..1>
    Automatically launch browser (0 for off, 1 for on)

-d  --daemon
    Fork daemon process (run the program in the background)

--pid <path>
    Create a pid file in the listed folder (full path)

--pidfile <path>
    Create a pid file with the given name (full path)

-v  --version
    Show version

-c  --clean
    Remove queue, cache and logs

-p  --pause
    Start paused

--https <port>
    Port to listen on for https connections

--repair
    Add orphaned jobs from the incomplete folder to the queue

--repair-all
    Try to reconstruct the queue from the incomplete folder with full data reconstruction

--log-all
    Log all article handling (for developers)

--new
    Run a new instance of SABnzbd, instead of starting the UI of the existing instance

--ipv6_hosting <0|1>
    Listen on IPv6 address [::1] (0= off, 1= on)

--inet_exposure <0..5>
    Set external internet access

--disable-file-log
    Log only to console

--no-login
    Start with username and password reset Any specified NZB file(s) will be added to the download queue. Recognized extensions are .nzb, .zip, .rar, .gz, and .bz2.

FILES
~/.sabnzbd/
    Default location for the program's configuration file and internal administration
~/Downloads/
    Default location for downloaded files
/etc/default/sabnzbdplus
    Configuration file for the init.d script

AUTHOR
This man page was written by JCF Ploemen <linux@jcf.pm> and is licensed under the GNU GPL, version 2 or later.

SEE ALSO

Project wiki with extensive user documentation: https://sabnzbd.org/wiki

SABnzbd+ homepage and support forums: https://sabnzbd.org

API documentation: https://sabnzbd.org/wiki/advanced/api

Github project page: https://github.com/sabnzbd/sabnzbd